%global dlrn_nvr castellan-3.7.2-1.20220727113716.3775cf4
%global dlrn 1
%define upstream_version 3.7.2
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x4c29ff0e437f3351fd82bdf47c5a3bc787dc7035

%global service castellan

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           python-castellan
Version: 3.7.2
Release: 1.20220727113716.3775cf4%{?dist}
Summary:        Generic Key Manager interface for OpenStack

Group:          Development/Languages
License:        ASL 2.0
URL:            http://git.openstack.org/cgit/openstack/castellan
Source0: castellan-3.7.2-1.20220727113716.3775cf4.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=3775cf425396776ae401a5560ae1dfa55a429116

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{service}/%{service}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif
BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
%endif

BuildRequires:  openstack-macros
BuildRequires:  git-core
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-mock
BuildRequires:  python3-testtools
BuildRequires:  python3-oslo-config
BuildRequires:  python3-oslo-log
BuildRequires:  python3-oslo-utils
BuildRequires:  python3-oslotest
BuildRequires:  python3-barbicanclient
BuildRequires:  python3-cryptography
BuildRequires:  python3-keystoneauth1
BuildRequires:  python3-requests
BuildRequires:  python3-testrepository

%description
Generic Key Manager interface for OpenStack

%package -n python3-%{service}
Summary:    OpenStack common configuration library
%{?python_provide:%python_provide python3-%{service}}

Requires:       python3-barbicanclient >= 4.5.2
Requires:       python3-cryptography
Requires:       python3-keystoneauth1 >= 3.4.0
Requires:       python3-oslo-config >= 2:6.4.0
Requires:       python3-oslo-context >= 2.19.2
Requires:       python3-oslo-i18n >= 3.15.3
Requires:       python3-oslo-log >= 3.36.0
Requires:       python3-oslo-utils >= 3.33.0
Requires:       python3-stevedore >= 1.20.0
Requires:       python3-pbr
Requires:       python3-requests >= 2.18.0

%description -n python3-%{service}
Generic Key Manager interface for OpenStack

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n castellan-%{upstream_version} -S git
%py_req_cleanup

%build
python3 setup.py build

%install
python3 setup.py install --skip-build --root %{buildroot}

%check
PYTHON=python3 OS_TEST_PATH=./castellan/tests/unit python3 setup.py test

%files -n python3-%{service}
%doc README.rst LICENSE
%{python3_sitelib}/castellan
%{python3_sitelib}/castellan-*.egg-info

%changelog
* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 3.7.2-1.20220727113716.3775cf4
- Update patches

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 3.7.2-0.20220712123943.3775cf4
- Update patches

* Tue Sep 07 2021 OSP Prod Chain <dev-null@redhat.com> 3.7.2-0.20210907181814.3775cf4
- Update patches
- Add missing font for PDF doc generation
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby
- Move flake8 as a pre-commit local target.

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 3.7.1-0.20210527221151.35f1a20
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 3.7.1-1
- Update patches

* Mon Mar 08 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix assertion typo in barbican key manager unit test
- Dropping lower constraints testing
- Don't expect barbican service name to be barbican.
- Use py3 as the default runtime for tox

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Sun Dec 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove six
- Adding pre-commit
- Add Python3 wallaby unit tests
- Update master for stable/victoria

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Oct 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Sep 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [goal] Migrate testing to ubuntu focal

* Sat Sep 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- zuul: use the new barbican simple-crypto job
- Use 'barbican_endpoint_type'config option to get endpoint from catalog
- Bump bandit version

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- migrate testing to ubuntu focal
- Add to_dict and from_dict conversions to managed objects

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump vault version

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replaces _get_api_version with config option

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add handler for Bad Request error during Vault authentication
- drop mock from lower-constraints
- Some Cleanups
- Update lower-constraints versions

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix hacking min version to 3.0.1
- Switch to newer openstackdocstheme and reno versions
- Remove translation sections from setup.cfg
- add "verify_ssl_path" config for barbican key manager
- Bump default tox env from py37 to py38
- Add py38 package metadata
- Use unittest.mock instead of third party mock
- Add Python3 victoria unit tests
- Update master for stable/ussuri
- Update hacking for Python3

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix stale references to renamed constant

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Removes context "validation".

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Removes context "validation".
- Removes context "validation".

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Removes context "validation".
- Moving common objects under KeyManager.
- Drop use of six
- Implements KeyManager's option discovery.
- Fix coverage tests

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Drop python 2.7 support and testing
- Add Wiki links to readme
- Switch to Ussuri jobs

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix "is" usage with literals
- Merge "Reuse existing token from RequestContext"
- Merge "Update master for stable/train"
- PDF Documentation Build tox target
- Update master for stable/train
- Reuse existing token from RequestContext

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Oct 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches



